AnnotatedSnpCopyNumberSet-class {SNPchip} | R Documentation

## Class "AnnotatedSnpCopyNumberSet"

### Description

Container for copy number data

### Objects from the Class

Objects can be created by calls of the form `new("AnnotatedSnpCopyNumberSet", phenoData, experimentData, annotation, copyNumber, cnConfidence, snpLocation, chromosomeAnnotation, chromosome)`.

### Slots

`chromosomeAnnotation`:
  Object of class `data.frame`
`assayData`:
  Object of class `AssayData`
`phenoData`:
  Object of class `AnnotatedDataFrame`
`experimentData`:
  Object of class `MIAME`
`featureData`:
  Object of class `AnnotatedDataFrame`. Contains annotation for the SNP's, such as chromosome, physical position, and alleles.
`annotation`:
  For 100k chips, "mapping50kHind240", "mapping50kXba240" , or "mapping100k". For 500k chips, mmust be "mapping250kNsp" or "mapping250kSty"
`.__classVersion__`:
  Object of class `Versions`

### Extends

Class `SnpCopyNumberSet`, directly. Class `eSet`, by class `SnpCopyNumberSet`. Class `VersionedBiobase`, by class `SnpCopyNumberSet`. Class `Versioned`, by class `SnpCopyNumberSet`.

### Methods

Methods for AnnotatedSnpCopyNumberSet

### Note

### Author(s)

### References

### See Also

### Examples

[Package SNPchip version 1.0.0 Index]